# -*- coding: utf-8 -*-
"""Copy of Untitled9.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1giD0CR7x2V5gXPxmKesF9b2S-Qp8rviW
"""

string= input("Enter a string: ")
long_word= ""
cur_word = ""

for char in string:
    if char!=" ":
        cur_word +=char
    else:
        if len(cur_word) > len(long_word):
            long_word = cur_word
        cur_word = ""
if len(cur_word) > len(long_word):
    long_word = cur_word
print("The largest word in the sentence is:",long_word,len(long_word))

string = 'khokho'
half = int(len(string) / 2)
first_str = string[:half]
second_str = string[half:]
# symmetric
if first_str == second_str:
    print(string, 'string is symmetrical')
else:
    print(string, 'string is not symmetrical')
 
# palindrome
if first_str == second_str[::-1]:  # ''.join(reversed(second_str)) 
    print(string, 'string is palindrome')
else:
    print(string, 'string is not palindrome')

#Check if the string is pangram
import string
 
def ispangram(str):
    alphabet = "abcdefghijklmnopqrstuvwxyz"
    for char in alphabet:
        if char not in str.lower():
            return False
 
    return True
     
string = 'hello everyone my name is pinky'
if(ispangram(string) == True):
    print("Yes")
else:
    print("No")

list_of_word=input("enter hyphen-separated words")
words_list=list_of_word.split("-")
words_list.sort()
alpha_sort="-".join(words_list)
print(alpha_sort)

def isPrime(a) :
    count = 0
    for i in range(1, a+1) :
        if a % i == 0 :
            count = count + 1
        if count == 2:
            return True
n = 2
N = int(input("Enter the value of N : "))
while n < N :
    if isPrime(n) == True and isPrime(n+2) == True:
        print("({0},{1})".format(n, n+2), end = "    ")
    n = n + 1

str=input("enter the string")
doubled_string=''
for char in str:
  doubled_string+=char*2
print(doubled_string)

#Program to display the Fibonacci sequence 
nterms = int(input("How many terms? "))
n1, n2 = 0, 1
count = 0
if nterms <= 0:
   print("Please enter a positive integer")
elif nterms == 1:
   print("Fibonacci sequence upto",nterms,":")
   print(n1)
else:
   print("Fibonacci sequence:")
   while count < nterms:
       print(n1)
       nth = n1 + n2
       n1 = n2
       n2 = nth
       count += 1 #5

def countEvenOdd(n):
    even_count = 0
    odd_count = 0
    while (n > 0):
        rem = n % 10
        if (rem % 2 == 0):
            even_count += 1
        else:
            odd_count += 1
              
        n = int(n / 10)
      
    print( "Even count : " , even_count)
    print("\nOdd count : " , odd_count)
    if (even_count % 2 == 0 and
                    odd_count % 2 != 0):
        return 1
    else:
        return 0
n = int(input("enter any no"));
t = countEvenOdd(n); #8

#perfect number
n = int(input("Enter any number: "))
sum1 = 0
for i in range(1, n):
    if(n % i == 0):
        sum1 = sum1 + i
if (sum1 == n):
    print("The number is a Perfect number!")
else:
    print("The number is not a Perfect number!") #9

"""difficulty level"""

# Print Pascal's Triangle 
from math import factorial
n = int(input("enter a no"))
for i in range(n):
    for j in range(n-i+1):
        print(end=" ")
    for j in range(i+1):
        print(factorial(i)//(factorial(j)*factorial(i-j)), end=" ")
    print()

numbers = (input("enter: "))
number = [s.replace(" "," ")for s in numbers.split(" ")]
sum_numbers = sum(map(float,number))
print("Input: {}".format(numbers))
print("\n Sum: {}".format(sum_numbers))

def remove_element(array_nums, val):#remove elm
    i = 0
    while i < len(array_nums):
        if array_nums[i] == val:
            array_nums.remove(array_nums[i])

        else:
            i += 1

    return len(array_nums)
print(remove_element([3,5,6,7], 3))
print(remove_element([1,4,5,6], 4))  
print(remove_element([], 1))#10

roman_dict = {'I': 1, 'V': 5, 'X': 10, 'L': 50, 'C': 100, 'D': 500, 'M': 1000}#roman 9

roman_num = input("Enter a Roman numeral: ").upper()

decimal_num = 0
prev_value = 0

for i in roman_num:
    current_value = roman_dict[i]
    if prev_value < current_value:
        decimal_num += current_value - (2 * prev_value)
    else:
        decimal_num += current_value
    prev_value = current_value

print("The decimal value of", roman_num, "is", decimal_num)

s=int(input("enter the number : "))#3
c=0
while(True) :
  l=[]
  t=s
  l=[]
  while(t>0) :
    l.append(t%10)
    t=t//10
  print(l)
  c=c+1
  if(len(l)==1 or l==[]) :
    break;
  s=1
  for i in range(0,len(l)) :
    s=s*l[i]
  print(s)
if(l!=[]) :
  print("MDR is",l[0],"and M persistance is",c-1)
else :
  print("MDR is 0 and M persistance is",c-1)

n=int(input("enter the length of side of square :"))#4
rad=float(input("enter radius of cirle : "))
r=round(rad,2)
s=input("enter shape CIR or SQR : ")
dia=(pow(2,1/2)*n)-2*((pow(2,1/2)*r)+r)
if s=="CIR" :
  area=round(3.414*dia,1)
  print(area)
else :
  area=round((dia*dia)/2,1)
  print(area)

def collinear(x1,y1,x2,y2,x3,y3,xp,yp):#6
  if((y3-y2)*(x2-x1)==(y2-y1)*(x3-x2)):
    print("yes it's collinear")
  else:
    print("no it's not collinear")
x1,x2,x3,y1,y2,y3,xp,yp=0,0,5,0,0,5,1,1
collinear(x1,y1,x2,y2,x3,y3,xp,yp)
c1=(x2-x1)*(yp-y1)-(y2-y1)*(xp-x1)
c2=(x3-x2)*(yp-y2)-(y3-y2)*(xp-x2)
c3=(x1-x3)*(yp-y3)-(y1-y3)*(xp-x3)
if(c1<0 and c2<0 and c3<0) or (c1>0 and c2>0 and c3>0):
  print("point is INSIDE")
else:
  print("point is OUTSIDE")

9
r=str.upper(input("entre a num"))
d={'I':1,'V':5,'X':10,'L':50,'C':100,'D':500,'M':1000}
sum=0
for i in range(0,len(r)):
  if i+1!=len(r) and d[r[i]]<d[r[i+1]]:
    sum=sum-d[r[i]]
  else:
    sum=sum+d[r[i]]
    print(sum)

list1=[2,3,4,5,6,7]#10
list2list1=[]
for i in range(0,len(list1)):
  for j in range(i+1,len(list1)):
    list2.append(list1[i])
list3=list(set(list1)-set(list2))
list3.sort()
print("new nums=",list3)
print("len{}".format(len(list3)))
list4=[]
for i in range(0,len(list1)):
  for j in range(len(list2)):
    if list1[i]==list2[j]:
      list1[i]="+"
print("new nums:",'[%s]'%','.join(map(str,list1)))

#11
l=[1,3,8]
num=int("".join(map(str,l)))
max=l[0]
for i in range(0,len(l)):
  if l[i]>max:
    max=l[i]
if max>0:
  num+=1
  digits=[]
  while num>0:
    digits.append(num%10)
    num//=10
print(digits[::-1])

num_sub=int(input("enter number of subjects: "))#marks 8
subjects=[]
students=[]
marks=[]
for i in range(num_sub):
    subject = input("enter subject {i+1}: ")
    subjects.append(subject)
    student = input("enter student name: ")
    students.append(student)
    mark = float(input(f"enter marks scored by {student} in {subject}: "))
    marks.append(mark)
print("subjects{}\n".format(subjects))
print("students{}\n".format(students))
print("Marks{}\n".format(marks))
final_list = []
for i in range(num_sub):
    final_dictionaries = {}
    final_dictionaries["subject"] = subjects[i]
    final_dictionaries["student"] = students[i]
    final_dictionaries["mark"] = marks[i]
    final_list.append(final_dictionaries)
print(final_list)

